PACKHALF2X16(3G)

NAME
packHalf2x16 - convert two 32-bit floating-point quantities to 16-bit quantities and pack them into a single 32-bit integer

DECLARATION

uint packHalf2x16(vec2 v);

PARAMETERS

v
    Specify a vector of two 32-bit floating point values that are to be converted to 16-bit representation and packed into the result.

DESCRIPTION

packHalf2x16 returns an unsigned integer obtained by converting the components of a two-component floating-point vector to the 16-bit floating-point representation found in the OpenGL Specification, and then packing these two 16-bit integers into a 32-bit unsigned integer. The first vector component specifies the 16 least-significant bits of the result; the second component specifies the 16 most-significant bits.

VERSION SUPPORT
 | OpenGL Shading Language Version
Function Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
packHalf2x16 | - | - | - | - | - | - | - | - | ✔ | ✔ | ✔ | ✔

SEE ALSO

packDouble2x32(), unpackDouble2x32(), unpackHalf2x16()

COPYRIGHT

Copyright © 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. https://opencontent.org/openpub/.

COPYRIGHT
Copyright © 2011-2014 Khronos Group